﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;

namespace com.tomfosdick.SingleThreadedGUI
{
    /// <summary>
    /// Interaction logic for mainWindow.xaml
    /// </summary>
    public partial class mainWindow : Window
    {
        public mainWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Do some complex or otherwise time consuming task
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void DoStuff_Click(object sender, RoutedEventArgs e)
        {
            DoStuff.IsEnabled = false;
            DoStuff.Content = "Starting Complex Things..."; //this won't even show.

            //this simulates some operation that takes a long time.
            Thread.Sleep(5000);

            //tell the user that we're done.
            DoStuff.Content = "Complex Things Done\nClick Me Again!";
            DoStuff.IsEnabled = true;

        }
    }
}
